           +--------------------------------------------------------------------------------------------+
           |                                                                                             
           |                            +---> MGR_MIB_MAPPING ---------------+                           
           |                            |                                    |                           
           |                            +---> MGR_POWER_DEVICE --------------|-----+                     
     [VIEW]|            [MODEL]         |                                    |     |                     
     MAIN_WINDOWS +---> MGR_DATA_BASE --+---> MGR_SERIAL_SLAVER -------------|-----|-----+               
           |                  |         |                                    |     |     |               
           |                  |         +---> MGR_SNMP_SERVER ---------------|-----|-----|-----+         
           |                  |         |                                    |     |     |     |         
           |                  |         +---> MGR_TCP_SERVER ----------------|-----|-----|-----|-----+   
           |                  |                                              |     |     |     |     |   
           +------------------|----------------------------------+           |     |     |     |     |   
           |                  |                                              |     |     |     |     |   
           |                  |        +---> NULL----------------------------+     |     |     |     |   
           |                  |        |                                           |     |     |     |   
           |                  |        +---> I_COMM_POWER--------------------------+     |     |     |   
           |                  v        |                                                 |     |     |   
           |             I_COMM_BASE --+---> I_COMM_SERIAL-------------------------------+     |     |   
           |             [CONTROL]     |                                                       |     |   
           |                           +---> I_COMM_SNMP---------------------------------------+     |   
           |                           |                                                             |   
           |                           +---> I_COMM_TCP----------------------------------------------+   
           |                                                                                             
           +--------------------------------------------------------------------------------------------+
		   
		   
		   
		   
		   
    __________                                                                                          
   /          \                                                                                         
  |   ______   |                                                                                        
  |  |      |__|                                                                                        
  |  |                                                                                                  
  |  \_______                                                                                           
   \         \     __  _      _  __      ____   __   _______    __________     _______     __________   
    \_______  \   |  |/ \    / \|  |    /    \_/ /  |   __  \  |___    ___|   / _____ \   |___    ___|  
            \  |  |   __ \  / __   |   /  __    /   |  |  |  |     |  |      | /     \ |      |  |      
   __       |  |  |  /  \ \/ /  \  |  |  |  |   |   |  |__|_/      |  |      | |     | |      |  |      
  |  \______|  |  | |    |  |    | |  |  |__|   |   |  |\  \       |  |      | |     | |      |  |      
  |            |  | |    |  |    | |   \        \   |  | \  \      |  |      | \_____/\ \     |  |      
   \__________/   |_|    |__|    |_|    \___/\___\  |__|  \__\     |__|       \_______/\_\    |__|      
                                                                                                        